## ros-kinetic-roslz4 1.12.17

=== debian/changelog ===
ros-kinetic-roslz4 (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-roslz4 (1.12.16-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-roslz4 (1.12.15-1xenial) xenial; urgency=high

  * check for XXH_malloc NULL return (#1778 <https://github.com/ros/ros_comm/issues/1778>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-roslz4 (1.12.14-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-roslz4 (1.12.13-1xenial) xenial; urgency=high

  * adding decompress to free(state) before return (#1313 <https://github.com/ros/ros_comm/issues/1313>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-roslz4 (1.12.12-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.11-1xenial) xenial; urgency=high

  * revert replace deprecated lz4 function call (#1220 <https://github.com/ros/ros_comm/issues/1220>, regression from 1.12.8 on Debian Jessie)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.10-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.9-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.8-1xenial) xenial; urgency=high

  * replace deprecated lz4 function call (#1136 <https://github.com/ros/ros_comm/issues/1136>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.7-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-roslz4 (1.12.6-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.5-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.4-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.3-1xenial) xenial; urgency=high

  * set lz4_FOUND in order to continue using it with catkin_package(DEPENDS) (ros/catkin#813 <https://github.com/ros/catkin/issues/813>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.2-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.1-1xenial) xenial; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.12.0-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.11.18-1xenial) xenial; urgency=high

  * fix compiler warnings

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-roslz4 (1.11.17-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-roslz4 (1.11.16-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-roslz4 (1.11.15-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-roslz4 (1.11.14-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-roslz4 (1.11.13-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-roslz4 (1.11.12-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-roslz4 (1.11.11-1xenial) xenial; urgency=high

  * fix import of compiled library with Python 3.x (#563 <https://github.com/ros/ros_comm/pull/563>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-roslz4 (1.11.10-1xenial) xenial; urgency=high

  * disable lz4 Python bindings on Android (#521 <https://github.com/ros/ros_comm/pull/521>)

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-roslz4 (1.11.9-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.8-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.7-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.6-1xenial) xenial; urgency=high

  * fix finding specific version of PythonLibs with CMake 3

 -- Ben Charrow <bcharrow@seas.upenn.edu>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.5-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Tue, 24 Jun 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.4-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.3-1xenial) xenial; urgency=high



 -- Ben Charrow <bcharrow@seas.upenn.edu>  Wed, 21 May 2014 07:00:00 -0000

ros-kinetic-roslz4 (1.11.2-1xenial) xenial; urgency=high

  * fix symbol problem on OSX (#405 <https://github.com/ros/ros_comm/issues/405>)
  * fix return value in the Python module (#406 <https://github.com/ros/ros_comm/issues/406>)


